Edit

Menu --> Edit
1. Add Group node
2. Add Command node
3. Delete node
4. Add the parameter
5. Delete the parameter
6. Indent Node(s)
7. Outdent Node(s)
8. Find FailAction Node
9. Copy/Paste/Cute Node(s)


Add Group node
Add Group Node in the previous of the selected node.
Menu position: �
Example:
11.1. Select Node
2. Click
3. You will get Group Node .
See also:
1. Add Command node
2. Change Node Type
3. Copy/Paste/Cute Node(s)


Add Command node
If you select a command node, it would add Command Node in the previous of the selected node. If you select a group node, it would append a command node to that group node.
Menu position: �
Example:
1. Select Node
2. Click
3. You will get Command Node .
See also:
1. Add Group node
2. Delete node
3. Change Node Type
4. Add the parameter
5. Delete the parameter


Delete node
Delete the selected node.
Menu position: �
See also:
1. Add Group node
2. Add Command node
3. Copy/Paste/Cut Node(s)


Indent Node(s)
Indent the selected Node(s).
Menu position: �
Example:
1.Before Node ,, indent.
2.After click
See also:
1. Outdent Node(s)


Outdent Node(s)
Outdent the selected Node(s).
Menu position: �
Example:
1.Before Node ,, indent.
2.After click
See also:
1. Indent Node(s)


Find FailAction Node
Jump to the Node which text is the same as the parameter.
Menu position: �
Example:
1. Select a node which value is 'Retry'.
2. After you click the
3. You will jump to that node


Copy/Paste/Cut Node(s)
Copy Node
Paste Node
Cut Node
You can use or to select the multi-Nodes that you want to Copy/Paste/Cut.
Menu position: � / /
See also:
1. Add Command node
2. Add Group node
3. Delete node


Change Node Status
There are two methods for you to change the node status.
1. You can select the node status from the parameter in the property list.
2. By the popout menu of tree view.


Shortcut

Shortcut (Hot Key) in TestPlan Editor
-------------------------------------------------------------------------------------------------------------------------------------------
Key Function
-------------------------------------------------------------------------------------------------------------------------------------------
F1 Show About Form
-------------------------------------------------------------------------------------------------------------------------------------------
F2 Show Scrip Editor help
-------------------------------------------------------------------------------------------------------------------------------------------
F3 Find next
-------------------------------------------------------------------------------------------------------------------------------------------
F5 Set selected node as breakpoint or normal node
-------------------------------------------------------------------------------------------------------------------------------------------
Ctrl + "up arrow" In Property List,Move up the text editor
-------------------------------------------------------------------------------------------------------------------------------------------
Ctrl + "down arrow" In Property List,Move down the text editor.
-------------------------------------------------------------------------------------------------------------------------------------------
Enter In Property List, If the text editor is not the last row, it would move down the text editor.
If the text editor is in the last row and this node is Command type, it would add a parameter in this node.
-------------------------------------------------------------------------------------------------------------------------------------------
Ctrl + "C" In Property List, copy the text of the Editor
In the Command List, copy the seleted node.
-------------------------------------------------------------------------------------------------------------------------------------------
Ctrl + "X" In Property List, copy and cut the text of the Editor
In the Command List, copy and cut the seleted node.
-------------------------------------------------------------------------------------------------------------------------------------------
Ctrl + "P" In Property List, paste the text of the Editor
In the Command List, paste the seleted node.
-------------------------------------------------------------------------------------------------------------------------------------------
F10 Set focus tothe main form.
-------------------------------------------------------------------------------------------------------------------------------------------


Popout menu of the property list
For show up the pop-up menu, please right-click the mouse in the property list.
And you will get three commands:
1. Find FailAction Node
2. Add Parameter
3. Delete Parameter


Contents

ScripEdtor Helper
1. Concept
1.1 Scrip structure
1.2 Supproted file format
1.3 Node type in Scrip
2. Quick start
2.1 Create/Save/Load a new Scrip
2.2 New Command/Group/Info Node
2.3 Copy/Paste/Cut Node(s)
2.4 Append Scrip to the current Scrip
2.5 Set Password of the Scrip
2.6 Save Scrip as Release Version
3. View Tool
3.1 Tree View
3.2 Grid View
4. Rework Tool
4.1 Map list between Error No. and Description
4.2 Information of Scrip
5. Embeded commands in Scrip Editor ( Stack: Goto, Save, Back, Next, Next Grupe, Call.)
6. Check Grammar
7. Generate Help Command List file
8. ShortCut in Scrip Editor


TestPlan Structure

Scrip File structure
There should have four main groups in your Scrip File:
[Initiation]
[Test Items]
[Post Items]
[Terminate]
[Initiation]: When you first run the Scrip File, main program will execute all the test items in this group.
[Test Items]: This group contains all the real test items and it will be executed each time.
[Post Items]: No matter what the test result you get, it will execute the commands in this group.
[Terminate]: If you have run the commands in [Initiation] group, the main program will execute the commands in this section in the following case.
1. When you want load another Scrip File.
2. When you want to close the main program.


Supported File Format
*.XMZ The new XML test plan format and encrypted.
Each test plan will have its own password so you can set your own test plan password or let it empty.
TPE file can be non-release version and released version.
Non-release Version: you only have 10 days for trial use.
Released Version: it is forever workable test plan and this test plan will contain the name of the owner who releases this test plan.
See also:
1. Save as Release Version


Node propery

Node type in the Test Plan
There are three types of Node: Group, Command, and Information.
1. Group: It could have sub-node. Its normal icon is as [image] and its skip icon is [image].
2. Command: The real executable command. Its normal icon is as [image] and its skip icon is [image].
3. Information (Info) [image]: The relative information in the Test Plan.
Note: Each Text of the Node should be unique and if the length of the Text is longer than 10, it would have warning message. If the Test of the Node is the recurrence one, it will warn the user and add '_' char automatically.
See also:
1. Change Node Type


File

Menu --> File
1. Load
Now, it supports to load two kinds of Scrip: TPE or BON INI file.
The Scrip name will show in the status bar1.
2. Save
Save Scrip as TPE format to the file name shown in the status bar1.
If there is no file name, you need to specify the file name.
If your password of Scrip is empty, it will pop-out a password input form for you to input the password.
Or you need to change your Scrip password by manually.
At each time you save the Scrip, it will re-build field no list automatically.
3. Save As
You can save Scrip and specify the Scrip name.
4. New
You can set your template file name such as . If the template file does not exist in the same file path as your application, it would generate four static groups as well as the following picture.
5. Save as release version
6. Back to MainForm
It will set the focus to the main form which initialize the TestPlan Editor. In GTS, it will focus on the GTS.exe.


Embedded

Embedded Command
Section1:TPE
The TPE will have one command in section2: Stack which has four commands: Goto, Save,Back,Next, Next Grupe, Call.
1.Goto
Purpose: Jump to the specific Node.
Value3: The name of the Node you want to jump.
If it can not find the string in the Scrip tree, this command would fail.
The string can be smart format.
2.Save
Purpose: Push the Node ID, which is executed just before this node and is TPE non-embedded command, into Nodes Stack.
Nodes Stack will maintain by the Scrip Editor software and will be cleared when each time the main program execute the Scrip.
3.Back
Purpose: Go back to the Node ID in the up of the Node Stack and pop it out.
If the Nodes Stack is empty, this command would fail.So before you call this command, you should call at first.
4.Next
Purpose: Go back to the Node ID +1 in the up of the Node Stack and pop it out.
If the Nodes Stack is empty, this command would fail.So before you call this command, you should call at first.
5.NextGroup
Purpose: Go back to the next Group of the Node ID in the up of the Node Stack and pop it out.
If the Nodes Stack is empty, this command would fail.So before you call this command, you should call at first.
6.Call
Purpose: Push the next executable Node ID into Nodes Stack and jump to the specific sub-function (Group) . In that group, you should call at the last command to go to next executable node.
If it can not find the string in the Scrip tree, this command would fail.
Example
1. Goto
Sect 1Sect 2Command
TPEStackGoto
Value 1Value 2Value 3Value 4
------
: the text of the node you want to jump to.
2. Save
Sect 1Sect 2Command
TPEStackSave
Value 1Value 2Value 3Value 4
--------
3. Back
Sect 1Sect 2Command
TPEStackBack
Value 1Value 2Value 3Value 4
--------
4. Next
Sect 1Sect 2Command
TPEStackNext
Value 1Value 2Value 3Value 4
--------
5. NextGroup
Sect 1Sect 2Command
TPEStackNextGroup
Value 1Value 2Value 3Value 4
--------
1. Call
Sect 1Sect 2Command
TPEStackCall
Value 1Value 2Value 3Value 4
------
: the text of the node you want to jump to.


Change Node type
You can select the node type from the parameter in the property list.


Add parameter
Insert or append the parameter in the property list of the Command Node. If the active editor is in the variable parameter list, it will insert a parameter column before that column. Or if the active editor is in the static property list, it would append a parameter column in the variable parameter list.
You can use the command in the pop-out menu of the property list. For show up the pop-up menu, please right-click the mouse in the property list.
Menu position: �
Add parameter Example:
1.Select a Command Node
2.In its property list, you can get the parameter list. And you set the active editor in the variable parameter list.
3.Click
4.Before that active column, you will get the new parameter: .
5.You can change the Description of the parameters.
See also:
1. Delete the parameter


Delete parameter
Delete the parameter of the selected node.
Menu position: �
See also:
1. Add the parameter


Save as Release Version
Save the temp Scrip File to release version. You need to have authority (PIN Code) to save any Scrip File to the release version. It will ask you to input the PIN Code and after PIN Code verified, the Scrip File will be saved as release one. About PIN Code, please ask TDE members to get that.
Before save as release version, the ScripEditor will
1. Check Grammar
2. Let user confirm Scripfile Password
3. Let user input file name
4. Check the Authority PIN Code
Menu position: �


Control

Menu� Control
1. Modify
(Enable [image], Disable [image])
You can enable/disable the modify function in the current Scrip File.
Before you enable the modify , you need to input the password of this scrip file. You can set the password by the following command .
2. Enable/Disable Re-work mode
3. Set Password
Before the first time you want to save the scrip file, it will pop-out a window let you to input the password. Note: password can be string and default is the null string.


TestPlan

Menu --> Scrip File
1. Search Up
2. Search Dwon
3. Build Field No. List
4. Build Error Code No.
5. Generate Error List File (*.CSV)
6. Check Grammar
7. Append TestPlan
8. Generate ID


Build Field No

Build Field Number List
every time you save the scrip file Field Number will rebuild.


Build Error Code No.
Re-Build the Error Code Number by Field Name and FieldName could be including multi-name.
The Error Code Number format is "Err" + No., such as "Err001" or "Err023".
The same FieldName will be have the same Error Code number.
Menu position: ->
Example:


Generate Error List File (*.csv)
According the Error Code Field value, it will create a error map list.
Formate will be:
------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------
LineErrorCodeDescriptionFieldNameMinMax
------------------------------------------------------------------------------------------------------
1Err001
20Err012
------------------------------------------------------------------------------------------------------
Menu position: ->


Check Grammar
ITTS release a new test scrip must pass Grammar check. (all major isssue must be solved).
It will check if any error or broken-rule in the current Scrip File.
Now it supports to check the following error condition/rule:
1. If the Parameter does not exist in the Scrip File.
2. Check if the failAction is in the other static group.
3. FieldName can not contain '='
4. Check if have toggle or breakpoint node. (minor issue). Before you release the Scrip File, it is better to remove this kind of node.
5. Check if the FieldName Value is the reserved String, 'SNo', 'Status', 'Comment', 'EID', 'ErrCode', 'Time'. (Major issue)
6. The FailAction node is skip node.
7. Check if the parameter 3 of the TPE Embedded command 'Call' / 'Goto' is existing node. Or if it is in the same group as the CMD node.
8. Check if the description text contain ',' char.
9. The Goto/Call command in TPE can not jump to the node which text string contains '[' or ']'
10. Error Code : length <8, "-" position >2
Example:
Err-001, BON-001, FT-001... pass
Err-0001, BON-001, F-001... fail
11. Prefix Naming. Prefix name support English character only.
Example:
ProjectName_FT -->refer to ITTS dir, StationDefination.csv it list all allow station name.
78L test plan Agile No (7x0-xxxxxx xxx) or ((SWC-7x0-xxxxxx xxx) )
Menu position: -><Check Grammar>


Append TestPlan

Append scrip file
In the current Scrip File, you can choice another scrip file to append in the end of this scrip.
It will easy for user to copy some commands from the existing one.


Generate NodeID
You can set the prefix name in the SearchEdit Editor and it will apply the sequence ID with the prefix name automatically to the child nodes in the selected Group Node.
If you don't input any string in SearchEdit Editor, it will use the 1st character of the Group Name at default. And if the text combined by 1st character of the Group Name +':1' already exist in this Scrip File, it will use [1st][2nd] +':1' to find if the node also exist, etc..If all the string had been used, it will begin to add '_' as the prefix name and try to find if any node has the same name. Do the above action until he can not find the node text string as the same as the [Prefix]+':1'.
Menu position: ->
Example:
See also:
1. Tree View in Scrip File Editor


Search

Search Down / Search Up
If will try to search the sub-string which is the same as SearchEditor text.
It will start search from the selected node.
When Scrip File is in editable mode, it will jump to the node which contains that sub-string and the editor will be active in that parameter.

When Scrip File is read only, it will jump to that node which contains that sub-string and the string will become red color.
Menu position: ->


View

Menu -->View
1. Show/Hide Grid
2. Refresh Grid
Since you modify the Scrip File, it would not refresh this Grid automatically; you need to click this command for refresh the data.
3. Save as Excel file
4. Options
(1)Text
(2)Template
(3) About
Show the program information such as release version.
(4) Scrip File
This page will display the information (such as Release Owner, Expired Date, and Create Date) of Scrip File.


Grid View
Here we provide a Grid for user to see the flat Scrip File commands and its format will be almost the same as the RF_BON Scrip File editor. But you can not use this grid to modify the Scrip File.

See also:
1. Refresh Grid
2. Tree View in Scrip File Editor
3. Scrip File Editor Picture


Tree view

Change shown items in the tree view
You can select what items of the node you want to show in the tree view.
The default value will show the fields . If you select more than two items, it will add character ';' as separation. You can select up to five items to be shown in the tree view. You can see an Scrip File Editor example to understand what shown items are.
You can select all the items including parameter and its value in the command node to show in the tree view.
PN: means parameter (N)
VN: means value (N)
Menu position: -> in Text page
Notes: Only the command node will show the above format and for the other kind of node will only show the text item.

See also:
1. Grid View in Scrip Editor


Template

Template Settings
There are two kinds of template you can set here: Scrip File template and Help Command list file.
Menu position: -> in Template page
1. Scrip File template
Since you will create a new Scrip File, in default, it will create four static command groups only. But if you have specify the template Scrip File here, when you create a new Scrip File which content will be the same as the template Scrip File.
2. Help Command list file
User can gather all his useful commands into a file and this file can be as the help file.
This help file will be used in the .
Here you can specify, when this program initialize, which help file will be loaded automatically.
In the check box, you can decide if you want cover all the items data once you select a value in the drop list.
You can also load a help command file when you are writing the Scrip File by click the button , it will append the help commands to the previous commands (without ordered alphabetically). You can study an example to know how it works.
See also:
1. Help Command list format


Information of TestPlan
Each Scrip file will have its information, such as Release Group, Release Owner, Expired Date, Create Date and Release Version.
If the Scrip file is ready released, the expired date will be shown as and the release owner by the field as well as the Release Version (such as: A0) in the field.
You can get the above information by the options menu.
Menu position: -> in Scrip file page


Help Command List File

Help Command List File (*.txt)
You can use any Text Edit Tool to generate the Help Command List file and in that file, you can add the useful/frequent-use commands into this help file. After you have your own Help Command List file, you can load that manually or set this file as template file and at each time the Scrip File Editor run, it would load the template file.
The Help commands list format:
[HelpCommandFile] = [CmdLineList] | []
[CmdLineList] = [DescriptionStr] [SepChar]
[Sect1Str] [SepChar]
[Sect2Str] [SepChar]
[CmdStr] [SepChar]
[FieldNameStr] [SepChar]
[ErrorCodeStr] [SepChar]
[ParameterList]
[ParameterList] = [Parameter] [ParameterList] | []
[Parameter] = [ParameterDescriptionStr] [SepChar]
[ParameterValueStr] [SepChar]
[DescriptionStr] = [Sect1Str] = [Sect2Str] = [CmdStr] =
[FieldNameStr] = [FieldNameStr] = [ErrorCodeStr] =
[ParameterDescriptionStr] = [ParameterValueStr] = [String]
[String] = [Char] | [Char][String] | []
[SepChar] = char(9)
[Char] = [NumChar] | 'A'..'z'
Example:
1. In the A.txt file, you can write:
<#9> means Key .
<#13#10> means Key .
Description<#9>Section1<#9>Section2<#9>Command<#9>FieldName<#9>ErrorCode<#9>P1<#9>P2<#9>P3<#9>P4<#13#10>
Root1<#9>Connect<#9>Root1<#9><#9>Connect<#9><#9><#9>ExpectResult<#9>1<#9>Max<#9><#9><#9><#9><#9><#9><#9><#9><#13#10>
Root1<#9>DisConnect<#9>Root1<#9><#9>disconnect<#9><#9><#9>ExpectResult<#9><#9>Max<#9><#9><#9><#9><#9>
Root1<#9>Set Vcc 5<#9>Root1<#9><#9>SendRoot1Command<#9><#9><#9>ExpectResult<#9>851B45<#9>Max<#9><#9>Command<#9>1B 53 05 64 1B 45<#9>FormatStr<#9>S([7][8][10][11]) <#13#10>
Root1<#9>Send Vender command (Enter the Manufacturing mode) <#9>Root1<#9><#9>SendRoot1Command<#9><#9><#9>ExpectResult<#9>81001B45<#9>Max<#9><#9>Command<#9>1B 53 01 02 40 02 05 00 01 00 00 00 1B 45<#9>FormatStr<#9>S([7][8][10][11][13][14][16][17]) <#13#10>
2. Check the option that "Cover all fields after select the description" and Load the file by click the button .
3. From the drop list of the description field, select the command you want to auto-fill.
4. Once you select your wanted one, it will auto-fill the fileds: Section1, Section2, Command, P1,V1…,PN,VN if that field exists.


TestPlan Save as Excel Format

TestPlan Save as Excel Format (*.tab)
Save the test plan to excel file (*.tab) which each raw is divided by the character.
The different command type will be shown with the different character. <@> means this node is group type; means this node is info type; <^> means this node is command type.
The type character of all the nodes will be shown levelly. The following picture is the generated Excel file by a test plan.
Menu position: ->
See also:
1. Grid View in Test Plan Editor
2. Tree View in Test Plan Editor


Command Node property
There are eleven static properties in the Command node.
1. Label:
The unique name for each node.
2. Description:
The detail description for this node purpose.
3. Type:
Specify the node type as Command node. You can change node type to the other type.
4. Node CTRL:
Specify the node status. For the command node, you can choice node as , , , .
5. Section1:
For input the Section1 value of command.
For more information about command, you can refer to the help file of the GTS.
6. Section2:
For input the Section2 value of command.
7. Command:
For input the Command value of command.
8. Fail Action:
You can specify the Fail Action node. If executing result of this command is fail, it would jump to the node. The node should be in the same static group or not in the other three static groups.
You can use command to jump to that node.
9. FieldName:
For each test command, there allows not only one result value which depends on the command. You can specify which value you want to record to PIS excel file and between different results, you must use ';' to seperate them.
10. FieldNumber:
Here will show the Field Number in the PIS file. You can generate the Field Number automatically.
For example:
(1). If a math command will return four values: , ,,
.
(2). You want to record the value 1 and value 3. So you need to input the field name as "myAdd;;myMul;".
(3). Click the . The field will be filled by numbers such as "10;;11;;".
11. ErrorCode:
The Logitech General Error Code mapped to this command when it fails.
12. RetryTimes:
This value is integer allowed only. You can set the retry times when this command execute result is fail. And 0 means no retry.
13. RetryDelay:
This value is integer allowed only. You can set the retry interval within this command.
Beside the above static property, you can also use the un-limit variable property as the command parameters.
See also:
1. Group Node Property
2. Info Node Property
3. Add Command node
4. Scrip file Editor Picture


Node Status

Node Status in the Scrip File
There are four statuses of Node: Normal, Skip, Break Point, Toggle.
Node type� Group Command Information
--------------------------------------------------------------------------------------------------------------------
Allowable Status�
Normal
Skip
Break Point
Toggle
You can change status between and by property list, shortcut or by the popout menu of tree view.
See also:
1. Change Node status
2. Change Node Type
3. Command Node property


Group Node property
There are only four static properties in the Command node and no variable property.
1. Text:
The unique name for each node.
2. Description:
The detail description for this Group purpose.
3. Type:
Specify the node type as Group type. You can change node type to the other type.
4. Node CTRL:
Specify the node status. For the Group node, you can choice node as , .
See also:
1. Command Node property
2. Info Node Property
3. Add Group node


Info Node property

Information Node property
There are only three static properties in the Information node and no variable property.
1. Text:
The unique name for each node.
2. Description:
The detail description for this node purpose.
3. Type:
Specify the node type as Info type. You can change node type to the other type.
See also:
1. Command Node property
2. Group Node Property


Popout menu of the Tree view
For show up the pop-up menu, please right-click the mouse in the tree view.
And you can set node status by the popout menu.


Rework mode

Enable/Disable Rework mode
Rework mode is a tool for TE or DUT analyzer to re-try some test items. So under this test mode, user can choice the executable or skipped test items in the [Test Items] group and it will only show top two level nodes.
If the DUT pass/fail the test under rework mode, in the PIS csv file, it would have / flag instead of

/ flag.

Menu position: -> file:///D:/data/Delphi/myProj/GTS/help/ScripEditor/Topic30.htm
->
Example:
1. Enable the rework mode
2. Choice the test items you want.


Test Plan Editor Picture
See also:
1. Grid View in ScripEditor
2. Tree View in Scrip Editor